<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrMsAdministrativeLicenseMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrMsAdministrativeLicense">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="licid" column="LICID" jdbcType="VARCHAR"/>
            <result property="actype" column="ACTYPE" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="entname" column="ENTNAME" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="orgcode" column="ORGCODE" jdbcType="VARCHAR"/>
            <result property="taxid" column="TAXID" jdbcType="VARCHAR"/>
            <result property="inscercode" column="INSCERCODE" jdbcType="VARCHAR"/>
            <result property="socorgcode" column="SOCORGCODE" jdbcType="VARCHAR"/>
            <result property="lerep" column="LEREP" jdbcType="VARCHAR"/>
            <result property="certype" column="CERTYPE" jdbcType="VARCHAR"/>
            <result property="cerno" column="CERNO" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="acCertype" column="AC_CERTYPE" jdbcType="VARCHAR"/>
            <result property="acCerno" column="AC_CERNO" jdbcType="VARCHAR"/>
            <result property="licname" column="LICNAME" jdbcType="VARCHAR"/>
            <result property="licnameCn" column="LICNAME_CN" jdbcType="VARCHAR"/>
            <result property="licno" column="LICNO" jdbcType="VARCHAR"/>
            <result property="licdecname" column="LICDECNAME" jdbcType="VARCHAR"/>
            <result property="licdeccode" column="LICDECCODE" jdbcType="VARCHAR"/>
            <result property="lictype" column="LICTYPE" jdbcType="VARCHAR"/>
            <result property="lictypeCn" column="LICTYPE_CN" jdbcType="VARCHAR"/>
            <result property="licitem" column="LICITEM" jdbcType="VARCHAR"/>
            <result property="licdecdate" column="LICDECDATE" jdbcType="DATE"/>
            <result property="valiperifrom" column="VALIPERIFROM" jdbcType="DATE"/>
            <result property="valiperito" column="VALIPERITO" jdbcType="DATE"/>
            <result property="licanthno" column="LICANTHNO" jdbcType="VARCHAR"/>
            <result property="licanth" column="LICANTH" jdbcType="VARCHAR"/>
            <result property="licanthuniscid" column="LICANTHUNISCID" jdbcType="VARCHAR"/>
            <result property="datadept" column="DATADEPT" jdbcType="VARCHAR"/>
            <result property="datadeptuniscid" column="DATADEPTUNISCID" jdbcType="VARCHAR"/>
            <result property="licstate" column="LICSTATE" jdbcType="VARCHAR"/>
            <result property="invaliddate" column="INVALIDDATE" jdbcType="DATE"/>
            <result property="invalidrea" column="INVALIDREA" jdbcType="VARCHAR"/>
            <result property="remark" column="REMARK" jdbcType="VARCHAR"/>
            <result property="sExtFromnode" column="S_EXT_FROMNODE" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="jycs" column="JYCS" jdbcType="VARCHAR"/>
            <result property="zs" column="ZS" jdbcType="VARCHAR"/>
            <result property="jjxz" column="JJXZ" jdbcType="VARCHAR"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,LICID,ACTYPE,
        PRIPID,ENTNAME,UNISCID,
        REGNO,ORGCODE,TAXID,
        INSCERCODE,SOCORGCODE,LEREP,
        CERTYPE,CERNO,NAME,
        AC_CERTYPE,AC_CERNO,LICNAME,
        LICNAME_CN,LICNO,LICDECNAME,
        LICDECCODE,LICTYPE,LICTYPE_CN,
        LICITEM,LICDECDATE,VALIPERIFROM,
        VALIPERITO,LICANTHNO,LICANTH,
        LICANTHUNISCID,DATADEPT,DATADEPTUNISCID,
        LICSTATE,INVALIDDATE,INVALIDREA,
        REMARK,S_EXT_FROMNODE,S_EXT_DATATIME,
        JYCS,ZS,JJXZ,
        I_TIME,uni_code
    </sql>
</mapper>
